Page MenuHomePhabricator

[llvm-lipo] Relax the check of the specified input file architecture
ClosedPublic

Authored by alexshap on Oct 1 2019, 10:19 PM.

Details

Summary

For -arch cctools' lipo only compares the cputypes,
e.g. see the function "check_arch" in
https://opensource.apple.com/source/cctools/cctools-921/misc/lipo.c.auto.html .
This diff adjusts the behavior of llvm-lipo accordingly.

Test plan: make check-all

Diff Detail

Repository
rL LLVM

Event Timeline

alexshap created this revision.Oct 1 2019, 10:19 PM
Herald added a project: Restricted Project. · View Herald TranscriptOct 1 2019, 10:19 PM
plotfi accepted this revision.Oct 2 2019, 12:02 AM

Make sure to clang format the new code. I think this looks ok.

tools/llvm-lipo/llvm-lipo.cpp
448 ↗(On Diff #222754)

Is this comment clang-formated>

This revision is now accepted and ready to land.Oct 2 2019, 12:02 AM
alexshap updated this revision to Diff 222775.Oct 2 2019, 2:16 AM

fix formatting

compnerd accepted this revision.Oct 3 2019, 9:25 AM
alexshap closed this revision.Oct 7 2019, 7:51 PM